import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/myposts_sale_rent_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/myposts_sale_rent_entity.g.dart';

@JsonSerializable()
class MypostsSaleRentEntity {
	int? count;
	int? page;
	int? limit;
	@JSONField(name: "count_page")
	int? countPage;
	List<MypostsSaleRentList>? list;

	MypostsSaleRentEntity();

	factory MypostsSaleRentEntity.fromJson(Map<String, dynamic> json) => $MypostsSaleRentEntityFromJson(json);

	Map<String, dynamic> toJson() => $MypostsSaleRentEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class MypostsSaleRentList {
	int? id;
	String? title;
	int? price;
	List<String>? resources;
	@JSONField(name: "created_at")
	String? createdAt;
	@JSONField(name: "likes_count")
	int? likesCount;

	MypostsSaleRentList();

	factory MypostsSaleRentList.fromJson(Map<String, dynamic> json) => $MypostsSaleRentListFromJson(json);

	Map<String, dynamic> toJson() => $MypostsSaleRentListToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}